
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2017-05-30
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>
		sop-releng | Papyrus Components</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/docs.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/reflow-skin.css" rel="stylesheet" />


		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/lightbox.css" rel="stylesheet" />

		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/site.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/css/highlightjs/default.min.css"></link>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/highlight.min.js"></script>
	</head>

	<body class="page-user-sop-releng project-orgeclipsepapyruscomponentsparent" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/index.html">Papyrys <span class="color-highlight">Components</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a></li>
									<li ><a href="../org.eclipse.papyrus.components.targetplatforms.parent/index.html" title="Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23">Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Components <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="https://www.eclipse.org/papyrus/components/sysml" title="SysML 1.4" target="_blank" class="externalLink">SysML 1.4</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/robotml" title="RobotML" target="_blank" class="externalLink">RobotML</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/designer" title="Designer" target="_blank" class="externalLink">Designer</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Doc <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="index.html" title="User">User</a></li>
									<li ><a href="../relenger/index.html" title="Relenger">Relenger</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://www.eclipse.org/papyrus/components/components/components-0.0.23/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Components</span> project</h1></a>
					<p class="lead">Papyrus Components Standardisation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="../" title="Components">Components</a></li>
				<li class="divider">/</li>
				<li>
		sop-releng</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Releng" title="Releng">Releng</a></li>
						<li class="toplevel"><a href="#Context" title="Context">Context</a></li>
						<li class="toplevel"><a href="#Prerequisites" title="Prerequisites">Prerequisites</a></li>
						<li class="toplevel"><a href="#Actions" title="Actions">Actions</a></li>
						<li class="toplevel"><a href="#Post-Actions" title="Post-Actions">Post-Actions</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Releng">Releng</h2>
 </div> 
 <div class="section"> 
  <h3 id="Context">Context</h3> 
  <p>Goal is to be able to release your project generated with Papyrus Components</p> 
  <p>The following procedure works if and only if all plugins have the same version, ie you will upgrade same in batch mode.</p> 
 </div> 
 <div class="section"> 
  <h3 id="Prerequisites">Prerequisites</h3> 
  <p>Ensure your Hudson jobs are green <a class="externalLink" href="https://hudson.eclipse.org/papyrus/view/COMPONENTS/job/">https://hudson.eclipse.org/papyrus/view/COMPONENTS/job/</a>.</p> 
  <p>Ensure that no critical bugs are opened <a class="externalLink" href="https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=__open__&amp;component=Components&amp;product=Papyrus&amp;query_format=specific">https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=__open__&amp;component=Components&amp;product=Papyrus&amp;query_format=specific</a></p> 
  <p>Have a look to the nightly documentation in order to fetch the needed repository: <a class="externalLink" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html">https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html</a></p> 
 </div> 
 <div class="section"> 
  <h3 id="Actions">Actions</h3> 
  <ul> 
   <li>Create a bugzilla ticket [Components][releng] Release of version X.Y.Z</li> 
   <li>Fetch your repository</li> 
   <li>Modify the change log located in the org.eclipse.papyrus.components.parent/src/changes/changes.xml</li> 
   <li>Change from .qualifier -SNAPSHOT to a stable version, see CommandA</li> 
   <li>Change your target to match a specific release version, see commandB</li> 
   <li>Merge these modifications</li> 
   <li>Run your associated job Release Components: <a class="externalLink" href="https://hudson.eclipse.org/papyrus/view/Component/job/">papyrus-component</a></li> 
   <li>It should deploy the new version into the <a class="externalLink" href="https://repo.eclipse.org/index.html#nexus-search;quick~org.eclipse.papyrus.components">nexus repository</a> and execute downstream the website job Components: <a class="externalLink" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-deploy-website">papyrus-components-deploy-website</a>. The downstream jobs can be seen at the end of the build's console report.</li> 
   <li>Deploy the web site by copying the staging directory in the papyrus web git repository. To do this, first clone the <a class="externalLink" href="http://git.eclipse.org/c/www.eclipse.org/papyrus.git/"> Papyrus Web git repository </a> and unzip in the components/components/ directory the unzipped built site from <a class="externalLink" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-deploy-website/ws/site-staging/*zip*/site-staging.zip"> papyrus-components-deploy-website </a></li> 
   <li>Modify the index.html to reflect the new release version by adding a new item to the dropdown menu and updating the referenced page address. This file can be found in the Papyrus Web git repository at the root of the components/components/ folder</li> 
   <li>Increase the different pom.xml, manifest.mf artifact version by adding a +(0.0.1)-SNAPSHOT.qualifier suffix in parent and archetype. See CommandA</li> 
   <li>Restore the 0.0.0 in all your target files</li> 
   <li>Merge these modifications</li> 
   <li>Close the ticket release.</li> 
  </ul> 
  <p>CommandA example of command to upgrade pom.xml, plugin.xml, manifest.mf, category.xml, feature.xml etc..., check if it runs on all plugins depending on your profile configuration </p> 
  <div class="source"> 
   <pre>mvn org.eclipse.tycho:tycho-versions-plugin:set-version -DnewVersion=1.2.2.qualifier -DupdateVersionRangeMatchingBounds=true -Pproduct</pre> 
  </div> 
  <p>CommandB example of command to upgrade your targets that will switch from a 0.0.0 to a specific version</p> 
  <div class="source"> 
   <pre>mvn org.eclipse.tycho.extras:tycho-version-bump-plugin:update-target -Dtarget=/home/flefevre/gitNeon/org.eclipse.papyrus-marte/targetplatform/org.eclipse.papyrus.marte.targetplatform.neon/org.eclipse.papyrus.marte.targetplatform.neon.target </pre> 
  </div> 
 </div> 
 <div class="section"> 
  <h3 id="Post-Actions">Post-Actions</h3> 
  <p>You could inform Papyrus Components project leader that you have improve the project in order they switch to the new pom version.</p> 
 </div> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus.tools.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Components/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li >
							<a href="../org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a>
						</li>
						<li >
							<a href="../org.eclipse.papyrus.components.targetplatforms.parent/index.html" title="Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23">Unnamed - org.eclipse.papyrus.components.targetplatforms:org.eclipse.papyrus.components.targetplatforms.parent:pom:0.0.23</a>
						</li>
						<li class="nav-header">Parent</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="../project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="../project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-right"></i></a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Components</span> project is aiming at providing an integrated and developer environment for adding components to Papyrus core.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 0.0.23. </span><span class="publishDate">Last Published: 2017-05-30. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/jquery.min.js"></script>

	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/bootstrap.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/lightbox.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/reflow-scroll.js"></script>
	
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/highlight.min.js"></script>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/jquery.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.23/js/reflow-skin.js"></script>

	</body>
</html>
